package gov.va.med.pharmacy.peps.common.vo;


import java.util.Collection;
import java.util.HashSet;


/**
 * Results of requested order checks
 */
public class OrderCheckResultsVo extends ValueObject {
    private static final long serialVersionUID = 1L;
    private Collection<DrugCheckVo> drugsNotChecked = new HashSet<DrugCheckVo>(); // we want no duplicates in this collection
    private Collection<AllergenVo> allergiesNotChecked = new HashSet<AllergenVo>();
    private DrugCheckResultsVo<DrugDrugCheckResultVo> drugDrugCheckResults;
    private DrugCheckResultsVo<DrugDoseCheckResultVo> drugDoseCheckResults;
    private DrugCheckResultsVo<DrugTherapyCheckResultVo> drugTherapyCheckResults;
    private DrugCheckResultsVo<AllergyCheckResultVo> allergyCheckResults;

    private OrderCheckHeaderVo header;
    private DrugDataVendorVersionVo drugDataVendorVersion;

    /**
     * 
     */
    public OrderCheckResultsVo() {
        super();
    }

    /**
     * 
     * @return doseCheckResults property
     */
    public DrugCheckResultsVo<DrugDoseCheckResultVo> getDrugDoseCheckResults() {
        return drugDoseCheckResults;
    }

    /**
     * 
     * @param doseCheckResults doseCheckResults property
     */
    public void setDrugDoseCheckResults(DrugCheckResultsVo<DrugDoseCheckResultVo> doseCheckResults) {
        this.drugDoseCheckResults = doseCheckResults;
    }

    /**
     * 
     * @return drugCheckResults property
     */
    public DrugCheckResultsVo<DrugDrugCheckResultVo> getDrugDrugCheckResults() {
        return drugDrugCheckResults;
    }

    /**
     * 
     * @param drugCheckResults drugCheckResults property
     */
    public void setDrugDrugCheckResults(DrugCheckResultsVo<DrugDrugCheckResultVo> drugCheckResults) {
        this.drugDrugCheckResults = drugCheckResults;
    }

    /**
     * 
     * @return drugsNotChecked property
     */
    public Collection<DrugCheckVo> getDrugsNotChecked() {
        return drugsNotChecked;
    }

    /**
     * 
     * @param drugsNotChecked drugsNotChecked property
     */
    public void setDrugsNotChecked(Collection<DrugCheckVo> drugsNotChecked) {
        this.drugsNotChecked = drugsNotChecked;
    }

    /**
     * 
     * @return therapyCheckResults property
     */
    public DrugCheckResultsVo<DrugTherapyCheckResultVo> getDrugTherapyCheckResults() {
        return drugTherapyCheckResults;
    }

    /**
     * 
     * @param therapyCheckResults therapyCheckResults property
     */
    public void setDrugTherapyCheckResults(DrugCheckResultsVo<DrugTherapyCheckResultVo> therapyCheckResults) {
        this.drugTherapyCheckResults = therapyCheckResults;
    }

    /**
     * 
     * @return drugDataVendorVersion property
     */
    public DrugDataVendorVersionVo getDrugDataVendorVersion() {
        return drugDataVendorVersion;
    }

    /**
     * 
     * @param drugDataVendorVersion drugDataVendorVersion property
     */
    public void setDrugDataVendorVersion(DrugDataVendorVersionVo drugDataVendorVersion) {
        this.drugDataVendorVersion = drugDataVendorVersion;
    }

    /**
     * 
     * @return orderCheckHeader property
     */
    public OrderCheckHeaderVo getHeader() {
        return header;
    }

    /**
     * 
     * @param orderCheckHeader orderCheckHeader property
     */
    public void setHeader(OrderCheckHeaderVo orderCheckHeader) {
        this.header = orderCheckHeader;
    }

    /**
     * Returns the Allergy check results.
     * 
     * @return the allergyCheckResults
     */
    public DrugCheckResultsVo<AllergyCheckResultVo> getAllergyCheckResults() {
        return allergyCheckResults;
    }

    /**
     * Sets the Allergy check results.
     * 
     * @param allergyCheckResults the allergyCheckResults to set
     */
    public void setAllergyCheckResults(DrugCheckResultsVo<AllergyCheckResultVo> allergyCheckResults) {
        this.allergyCheckResults = allergyCheckResults;
    }

    /**
     * Returns the Allergies not checked collection.
     * 
     * @return the allergiesNotChecked
     */
    public Collection<AllergenVo> getAllergiesNotChecked() {
        return allergiesNotChecked;
    }

    /**
     * Sets the Allergies not checked Collection.
     * 
     * @param allergiesNotChecked the allergiesNotChecked to set
     */
    public void setAllergiesNotChecked(Collection<AllergenVo> allergiesNotChecked) {
        this.allergiesNotChecked = allergiesNotChecked;
    }
}
