package gov.va.med.pharmacy.peps.common.vo;

import gov.va.med.pharmacy.peps.external.common.drugdatavendor.utility.StringUtility;

/**
 * A representation of a FDB ScreenAllergy object.
 * 
 * @author vhaisaduffg
 *
 */
public final class ScreenAllergyVo extends ValueObject {

    private static final long serialVersionUID = 1L;
    
    private String clinicalAllergenId;
    private String description;
    private Long id;
    private String idType;
    private Boolean prospective;
    private String reaction;
    private Long internalId;
    private String internationalDescription;
    private String tallManDescription;
    private Boolean tallManInd;
    
    /**
     * Returns the Clinical Allergen Identifier.
     * 
     * @return the clinicalAllergenId
     */
    public String getClinicalAllergenId() {
        return StringUtility.nullToEmptyString(clinicalAllergenId);
    }
    /**
     * Sets the Clinical Allergen Identifier.
     * 
     * @param clinicalAllergenId the clinicalAllergenId to set
     */
    public void setClinicalAllergenId(String clinicalAllergenId) {
        this.clinicalAllergenId = clinicalAllergenId;
    }
    /**
     * Returns the Description.
     * 
     * @return the description
     */
    public String getDescription() {
        return StringUtility.nullToEmptyString(description);
    }
    /**
     * Sets the Description.
     * 
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }
    /**
     * Returns the Identifier.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }
    /**
     * Sets the Identifier.
     * 
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }
    /**
     * Returns the Identifier Type.
     * This is used in conjunction with the Identifier.
     * 
     * @return the idType
     */
    public String getIdType() {
        return StringUtility.nullToEmptyString(idType);
    }
    /**
     * Sets the Identifier Type.
     * 
     * @param idType the idType to set
     */
    public void setIdType(String idType) {
        this.idType = idType;
    }
    /**
     * Returns the Prospective flag.
     * 
     * @return the prospective
     */
    public Boolean getProspective() {
        return prospective;
    }
    /**
     * Sets the Prospective flag.
     * 
     * @param prospective the prospective to set
     */
    public void setProspective(Boolean prospective) {
        this.prospective = prospective;
    }
    /**
     * Returns the Reaction.
     * 
     * @return the reaction
     */
    public String getReaction() {
        return StringUtility.nullToEmptyString(reaction);
    }
    /**
     * Sets the Reaction.
     * 
     * @param reaction the reaction to set
     */
    public void setReaction(String reaction) {
        this.reaction = reaction;
    }
    /**
     * Returns the Internal Identifier.
     * 
     * @return the internalId
     */
    public Long getInternalId() {
        return internalId;
    }
    /**
     * Sets the Internal Identifier.
     * 
     * @param internalId the internalId to set
     */
    public void setInternalId(Long internalId) {
        this.internalId = internalId;
    }
    /**
     * Returns the International Description.
     * 
     * @return the internationalDescription
     */
    public String getInternationalDescription() {
        return StringUtility.nullToEmptyString(internationalDescription);
    }
    /**
     * Sets the International Description.
     * 
     * @param internationalDescription the internationalDescription to set
     */
    public void setInternationalDescription(String internationalDescription) {
        this.internationalDescription = internationalDescription;
    }
    /**
     * Returns the Tall Man Description.
     * 
     * @return the tallManDescription
     */
    public String getTallManDescription() {
        return StringUtility.nullToEmptyString(tallManDescription);
    }
    /**
     * Sets the Tall Man Description.
     * 
     * @param tallManDescription the tallManDescription to set
     */
    public void setTallManDescription(String tallManDescription) {
        this.tallManDescription = tallManDescription;
    }
    /**
     * Returns the Tall Man Indicator.
     * 
     * @return the tallManInd
     */
    public Boolean getTallManInd() {
        return tallManInd;
    }
    /**
     * Sets the Tall Man Indicator.
     * 
     * @param tallManInd the tallManInd to set
     */
    public void setTallManInd(Boolean tallManInd) {
        this.tallManInd = tallManInd;
    }
}
